gtksound.h File Reference
Pidgin (GTK+ User Interface)
`#include "sound.h"`

Go to the source code of this file.

## Functions

GTK+ Sound API
const char * | pidgin_sound_get_event_option (PurpleSoundEventID event)
| Get the prefs option for an event. More...
const char * | pidgin_sound_get_event_label (PurpleSoundEventID event)
| Get the label for an event. More...
PurpleSoundUiOps * | pidgin_sound_get_ui_ops (void)
| Gets GTK+ sound UI ops. More...
void * | pidgin_sound_get_handle (void)
| Get the handle for the GTK+ sound system. More...
gboolean | pidgin_sound_is_customized (void)
| Returns true Pidgin is using customized sounds. More...

## Detailed Description

GTK+ Sound API

Definition in file gtksound.h.

## Function Documentation

## pidgin_sound_get_event_label()

const char* pidgin_sound_get_event_label | ( | PurpleSoundEventID | event | ) |

Get the label for an event.

Parameters

  event | The event.

Returns
  The label.

## pidgin_sound_get_event_option()

const char* pidgin_sound_get_event_option | ( | PurpleSoundEventID | event | ) |

Get the prefs option for an event.

Parameters

  event | The event.

Returns
  The option.

## pidgin_sound_get_handle()

void* pidgin_sound_get_handle | ( | void |  | ) |

Get the handle for the GTK+ sound system.

Returns
  The handle to the sound system

## pidgin_sound_get_ui_ops()

PurpleSoundUiOps* pidgin_sound_get_ui_ops | ( | void |  | ) |

Gets GTK+ sound UI ops.

Returns
  The UI operations structure.

## pidgin_sound_is_customized()

gboolean pidgin_sound_is_customized | ( | void |  | ) |

Returns true Pidgin is using customized sounds.

Returns
  TRUE if non default sounds are used.

Since
  2.6.0